Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_uri_to_counted_string

## Name

librdf_uri_to_counted_string -- Format the URI as a counted string

## Synopsis

``unsigned char* `librdf_uri_to_counted_string`` (librdf_uri* `uri`, size_t* `len_p`);`

## Arguments

`uri`

  librdf_uri object

`len_p`

  pointer to location to store length

## Note

this method allocates a new string since this is a _to_ method and the caller must free the resulting memory.

## Return value

string representation of the URI or NULL on failure

<<< Previous | Home | Next >>>
librdf_uri_to_string | Up | librdf_uri_equals